# azure.mgmt.imagebuilder.operations module

class `azure.mgmt.imagebuilder.operations.``VirtualMachineImageTemplatesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineImageTemplatesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-05-01-preview”.

  `create_or_update`(parameters, resource_group_name, image_template_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a virtual machine image template.

    Parameters:

    - parameters (ImageTemplate) – Parameters supplied to the CreateImageTemplate operation
    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ImageTemplate or ClientRawResponse<ImageTemplate> if raw==True
    Return type: | AzureOperationPoller[ImageTemplate] or AzureOperationPoller[ClientRawResponse[ImageTemplate]]
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, image_template_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a virtual machine image template.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `get`(resource_group_name, image_template_name, custom_headers=None, raw=False, **operation_config)

    Get information about a virtual machine image template.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ImageTemplate or ClientRawResponse if raw=true
    Return type: | ImageTemplate or ClientRawResponse
    Raises: | `ApiErrorException`

  `get_run_output`(resource_group_name, image_template_name, run_output_name, custom_headers=None, raw=False, **operation_config)

    Get the specified run output for the specified image template resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - run_output_name (str) – The name of the run output
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RunOutput or ClientRawResponse if raw=true
    Return type: | RunOutput or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets information about the VM image templates associated with the subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ImageTemplate
    Return type: | ImageTemplatePaged[ImageTemplate]
    Raises: | `ApiErrorException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets information about the VM image templates associated with the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ImageTemplate
    Return type: | ImageTemplatePaged[ImageTemplate]
    Raises: | `ApiErrorException`

  `list_run_outputs`(resource_group_name, image_template_name, custom_headers=None, raw=False, **operation_config)

    List all run outputs for the specified Image Template resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RunOutput
    Return type: | RunOutputPaged[RunOutput]
    Raises: | `ApiErrorException`

  `run`(resource_group_name, image_template_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Create artifacts from a existing image template.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, image_template_name, identity=None, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Update the tags for this Virtual Machine Image Template.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_template_name (str) – The name of the image Template
    - identity (ImageTemplateIdentity) – The identity of the image template, if configured.
    - tags (dict[str, str]) – The user-specified tags associated with the image template.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ImageTemplate or ClientRawResponse<ImageTemplate> if raw==True
    Return type: | AzureOperationPoller[ImageTemplate] or AzureOperationPoller[ClientRawResponse[ImageTemplate]]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.imagebuilder.models' from '/usr/lib/python3/dist-packages/azure/mgmt/imagebuilder/models/__init__.py'>

class `azure.mgmt.imagebuilder.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-05-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists available operations for the Microsoft.VirtualMachineImages provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.imagebuilder.models' from '/usr/lib/python3/dist-packages/azure/mgmt/imagebuilder/models/__init__.py'>